Cyrus-SASL compile problem

Cyrus-SASL compile problem

Post by optifri » Sat, 27 Jul 2002 21:40:14



Hi all,

I have OpenBsd 3.1, I download the latest port from OpenBSD webpage.
I try to complie Cyrus-SASL version 1.5.27 from ports, without Kerberos V4
and V5
I edit Makefile like following:

CONFIGURE_ARGS+=        --enable-static \
                        --enable-login \
                        --enable-digest \
                        --enable-krb4=no \
                        --enable-gssapi=no \
                        --includedir="${PREFIX}/include/sasl" \
                        --with-pwcheck="/var/pwcheck"

then I do: make && make install
make goes ok. It hangs on make install
"
===>  Building package for cyrus-sasl-1.5.27
Creating package /usr/ports/packages/i386/All/cyrus-sasl-1.5.27.tgz
Using SrcDir value of
/usr/ports/security/cyrus-sasl/w-cyrus-sasl-1.5.27/fake-i386/usr/local
Creating gzip'd tar ball in
'/usr/ports/packages/i386/All/cyrus-sasl-1.5.27.tgz'
tar: Unable to access lib/sasl/libgssapiv2.a <No such file or directory>
tar: Unable to access lib/sasl/libgssapiv2.la <No such file or directory>
tar: Unable to access lib/sasl/libkerberos4.a <No such file or directory>
tar: Unable to access lib/sasl/libkerberos4.la <No such file or directory>
tar: Unable to access lib/sasl/libgssapiv2.so.1.18 <No such file or
directory>
tar: Unable to access lib/sasl/libkerberos4.so.1.17 <No such file or
directory>
tar: WARNING! These file names were not selected:
lib/sasl/libgssapiv2.a
lib/sasl/libgssapiv2.la
lib/sasl/libkerberos4.a
lib/sasl/libkerberos4.la
lib/sasl/libgssapiv2.so.1.18
lib/sasl/libkerberos4.so.1.17
pkg_create: tar command failed with code 256
*** Error code 1

Stop in /usr/ports/security/cyrus-sasl (line 1887 of
/usr/ports/infrastructure/mk/bsd.port.mk).
*** Error code 1

Stop in /usr/ports/security/cyrus-sasl (line 648 of
/usr/ports/infrastructure/mk/bsd.port.mk).
"
I dont know why installator wants to access files from kerberos ?
Maybe, somebody knows how  to compile cyrus from Ports without Kerberos ?

After I compile it with Kerberos (is works), I install Postfix but I don`t
need to use Kerberos.

Any help will be appreciate
thanks,
Tomek

 
 
 

Cyrus-SASL compile problem

Post by Andrew Presto » Mon, 29 Jul 2002 02:51:01


I also wanted to install SASL with Kerberos ... the answer I recieved from
the port maintainer was that it was easiest to simply let it build/install
with Kerberos and then delete the mechanism.


Quote:> Hi all,

> I have OpenBsd 3.1, I download the latest port from OpenBSD webpage.
> I try to complie Cyrus-SASL version 1.5.27 from ports, without Kerberos V4
> and V5
> I edit Makefile like following:

> CONFIGURE_ARGS+=        --enable-static \
>                         --enable-login \
>                         --enable-digest \
>                         --enable-krb4=no \
>                         --enable-gssapi=no \
>                         --includedir="${PREFIX}/include/sasl" \
>                         --with-pwcheck="/var/pwcheck"

> then I do: make && make install
> make goes ok. It hangs on make install
> "
> ===>  Building package for cyrus-sasl-1.5.27
> Creating package /usr/ports/packages/i386/All/cyrus-sasl-1.5.27.tgz
> Using SrcDir value of
> /usr/ports/security/cyrus-sasl/w-cyrus-sasl-1.5.27/fake-i386/usr/local
> Creating gzip'd tar ball in
> '/usr/ports/packages/i386/All/cyrus-sasl-1.5.27.tgz'
> tar: Unable to access lib/sasl/libgssapiv2.a <No such file or directory>
> tar: Unable to access lib/sasl/libgssapiv2.la <No such file or directory>
> tar: Unable to access lib/sasl/libkerberos4.a <No such file or directory>
> tar: Unable to access lib/sasl/libkerberos4.la <No such file or directory>
> tar: Unable to access lib/sasl/libgssapiv2.so.1.18 <No such file or
> directory>
> tar: Unable to access lib/sasl/libkerberos4.so.1.17 <No such file or
> directory>
> tar: WARNING! These file names were not selected:
> lib/sasl/libgssapiv2.a
> lib/sasl/libgssapiv2.la
> lib/sasl/libkerberos4.a
> lib/sasl/libkerberos4.la
> lib/sasl/libgssapiv2.so.1.18
> lib/sasl/libkerberos4.so.1.17
> pkg_create: tar command failed with code 256
> *** Error code 1

> Stop in /usr/ports/security/cyrus-sasl (line 1887 of
> /usr/ports/infrastructure/mk/bsd.port.mk).
> *** Error code 1

> Stop in /usr/ports/security/cyrus-sasl (line 648 of
> /usr/ports/infrastructure/mk/bsd.port.mk).
> "
> I dont know why installator wants to access files from kerberos ?
> Maybe, somebody knows how  to compile cyrus from Ports without Kerberos ?

> After I compile it with Kerberos (is works), I install Postfix but I don`t
> need to use Kerberos.

> Any help will be appreciate
> thanks,
> Tomek


 
 
 

1. Compiling cyrus-sasl

Anyone has compiled this software on aix 4.3.3.10 ?
How ?

Thanks.

--
----------------------------------------------------------------
Tu portal de Aix en Espa?ol
http://aixpanish.com
------------------------------------------------------------

2. Easy disk change-out procedure?

3. solaris 9 / cyrus imap sasl compile problems

4. SSH does not export DISPLAY automatically

5. cyrus-sasl installation help

6. lots of rpm questions?

7. cyrus-sasl and ld

8. Star Office 5.2 Install problem

9. POP-before-SMTP/log2db/RH 6.2/Sendmail 8.11/Cyrus-SASL

10. Anyone use cyrus-sasl ?

11. Cyrus SASL Compile Error

12. Compiling Cyrus SASL 1.5.27 on Solaris 8

13. Cyrus SASL will not compile on Solaris 8